# File: peri-c.py
# Compute the perimeter of a triangle; user enters the points defining it
# This one checks for bogus input
#
# Matt Bishop, MHI 289I, Fall 2020
#
import math             # load up the math functions

#
# compute the distance between two points (x1, y1) and (x2, y2)
# note temp can never be negative (squares are non-negative, so is their sum)
#
def dist(x1, y1, x2, y2):
    temp = (x1 - x2) ** 2 + (y1 - y2) ** 2
    return math.sqrt(temp)

#
# compute the perimeter of the triangle defined by (x1, y1), (x2, y2), (x3, y3)
#
def compperi(x1, y1, x2, y2, x3, y3):
    d1 = dist(x1, y1, x2, y2)
    d2 = dist(x1, y1, x3, y3)
    d3 = dist(x2, y2, x3, y3)
    return d1 + d2 + d3

#
# construct the prompts
#
def prompt(xory, which):
    s = "Please enter the " + xory + " coordinate of the " + which + " point: "
    return s

#
################ MAIN PROGRAM
#

#
# read in the co-ordinates
#
try:
    iax = float(input(prompt("x", "first")))
    iay = float(input(prompt("y", "first")))
    ibx = float(input(prompt("x", "second")))
    iby = float(input(prompt("y", "second")))
    icx = float(input(prompt("x", "third")))
    icy = float(input(prompt("y", "third")))
except:
    print("All co-ordinates must be real numbers!")
else:
    #
    # print the corresponding triangle's perimeter
    #
    temp = compperi(iax, iay, ibx, iby, icx, icy)
    print("The perimeter is", temp)
